### Method

# FwupdPlugin Device add_instance_strsafe

#### Declaration [src]

    void
    fu_device_add_instance_strsafe (
      FuDevice* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Assign a sanitized value for the `key`.

Available since: | 1.7.7

#### Parameters

`key` | `const gchar*`
| String.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| Value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.